# SoMouseButtonEvent Class Reference
[Event classes]

`#include <Inventor/events/SoMouseButtonEvent.h>`

Inheritance diagram for SoMouseButtonEvent:

List of all members.

## Detailed Description

The SoMouseButtonEvent class contains information about mousebutton interaction.

When the user presses any buttons on the mouse, these will be translated from a system specific event into a Coin event and sent to the scenegraph by using instances of this class.

See also:
  SoEvent, SoButtonEvent, SoSpaceballButtonEvent, SoKeyboardEvent

  SoEventCallback, SoHandleEventAction

## Public Types

enum | Button { ANY, BUTTON1, BUTTON2, BUTTON3, BUTTON4, BUTTON5 }

## Public Member Functions

| SoMouseButtonEvent (void)
virtual | ~SoMouseButtonEvent ()
void | setButton (SoMouseButtonEvent::Button button)
SoMouseButtonEvent::Button | getButton (void) const

## Static Public Member Functions

SbBool | isButtonPressEvent (const SoEvent *e, SoMouseButtonEvent::Button whichButton)
SbBool | isButtonReleaseEvent (const SoEvent *e, SoMouseButtonEvent::Button whichButton)
void | initClass (void)

## Member Enumeration Documentation

enum SoMouseButtonEvent::Button

This enum contains all mouse buttons detected by Coin.

Enumeration values:

  ANY | Unknown button.
  BUTTON1 | First mouse button (usually the leftmost button).
  BUTTON2 | Second mouse button (usually the middle button).
  BUTTON3 | Third mouse button (usually the rightmost button).
  BUTTON4 | Fourth mouse button (typically from a wheelmouse). This is not part of the original Open Inventor API.
  BUTTON5 | Fifth mouse button (typically from a wheelmouse). This is not part of the original Open Inventor API.

## Constructor & Destructor Documentation

SoMouseButtonEvent::SoMouseButtonEvent | ( | void |  | ) |

| Constructor.

SoMouseButtonEvent::~SoMouseButtonEvent | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoMouseButtonEvent::setButton | ( | SoMouseButtonEvent::Button | button | ) |

Set the value of the button which the user interacted with.

This method is used from the window specific device classes when translating events to the generic Coin library.

See also:
  getButton()

SoMouseButtonEvent::Button SoMouseButtonEvent::getButton | ( | void |  | ) | const

Returns the value of the button which was pressed or released.

See also:
  getState()

  wasShiftDown(), wasCtrlDown(), wasAltDown(), getPosition(), getTime()

SbBool SoMouseButtonEvent::isButtonPressEvent | ( | const SoEvent * | e,
|  | SoMouseButtonEvent::Button | whichButton
| ) | `[static]`

Convenience method for quickly checking if the given event is a press on the given button, whichButton.

See also:
  isButtonReleaseEvent(), isOfType(), getButton(), getState()

SbBool SoMouseButtonEvent::isButtonReleaseEvent | ( | const SoEvent * | e,
|  | SoMouseButtonEvent::Button | whichButton
| ) | `[static]`

Convenience method for quickly checking if the given event is a release of the given button, whichButton.

See also:
  isButtonPressEvent(), isOfType(), getButton(), getState()

void SoMouseButtonEvent::initClass | ( | void |  | ) | `[static]`

| Initialize the type information data. Reimplemented from SoButtonEvent.

The documentation for this class was generated from the following files:

- SoMouseButtonEvent.h
- SoMouseButtonEvent.cpp